#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<int> intTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<int> b;
    for (string& s: a) {
        b.push_back(stoi(s));
    }
    return b;
}

bool isPow(int n) {
    while (n != 1) {
        if (n%2 != 0) return false;
        n /= 2;
    }
    return true;
}

int main() {
    vector<int> line = intTokens(' ');
    assertEOF();

    assert(line.size() == 1);
    int n = line[0];

    assert (1 <= n && n <= 1e9);
    if (n <= 10) cout << 1;
    if (n <= 20) cout << 2;

    if (isPow(n)) cout << 3;
    if (isPow(n+1)) cout << 4;


    return 0;
}

